def 网页协议_获取_响应文本取指定行内容(响应对象, 行号, 是否打印=False):
    """
    获取响应的文本内容，并返回指定行号的文本内容。

    参数:
        响应对象: 服务器响应对象。
        行号: 要获取的行号，从1开始计数。
        是否打印 (bool, optional): 是否打印执行结果，默认为 False。

    返回:
        str: 指定行号的文本内容。如果响应为 None、指定行号超出文本行数范围、或出现任何异常，则返回空字符串。
    """
    try:
        if 响应对象 is not None:
            文本内容 = 响应对象.text
            行列表 = 文本内容.splitlines()
            实际行号 = 行号 - 1  # 将1开始的行号转换为0开始的索引
            if 0 <= 实际行号 < len(行列表):
                指定行文本 = 行列表[实际行号]
                if 是否打印:
                    print(f"指定行号 {行号} 的文本内容:\n{指定行文本}")
                return 指定行文本
            else:
                if 是否打印:
                    print(f"指定行号 {行号} 超出文本行数范围")
                return ''
        else:
            if 是否打印:
                print("响应对象为 None")
            return ''
    except Exception as e:
        if 是否打印:
            print(f"获取指定行号 {行号} 的文本内容时出现异常: {e}")
        return ''